Name:		xkbevd
Version:	1.1.6
Release:	%mkrel 2
Summary:	XKB event daemon
Group:		Development/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source:		https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	pkgconfig(xkbfile) >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	bison

%description
The xkbevd event daemon listens for specified XKB events and executes
requested commands if they occur. The configuration file consists of a
list of event specification/action pairs and/or variable definitions.

%prep
%setup -q

%build
%configure

%make_build

%install
mkdir -p %{buildroot}%{_datadir}/X11/xkb
install -m 644 example.cf xkbevd.cf %{buildroot}%{_datadir}/X11/xkb
%make_install

%files
%{_bindir}/xkbevd
%{_mandir}/man1/xkbevd.1*
%{_datadir}/X11/xkb/*.cf


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.1.6-2.mga10
+ Revision: 2234339
- Mageia 10 Mass Rebuild

* Fri Jan 24 2025 daviddavid <daviddavid> 1.1.6-1.mga10
+ Revision: 2141323
- new version: 1.1.6

* Wed Nov 16 2022 luigiwalser <luigiwalser> 1.1.5-1.mga9
+ Revision: 1908071
- 1.1.5

* Sat Mar 19 2022 umeabot <umeabot> 1.1.4-4.mga9
+ Revision: 1800541
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.1.4-3.mga8
+ Revision: 1518811
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.1.4-2.mga7
+ Revision: 1301917
- Mageia 7 Mass Rebuild

* Thu Dec 15 2016 luigiwalser <luigiwalser> 1.1.4-1.mga6
+ Revision: 1075515
- 1.1.4

* Thu Feb 04 2016 umeabot <umeabot> 1.1.3-6.mga6
+ Revision: 935219
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.3-5.mga5
+ Revision: 750633
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.3-4.mga5
+ Revision: 690673
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.3-3.mga4
+ Revision: 520687
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.1.3-2.mga3
+ Revision: 387062
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 tv <tv> 1.1.3-1.mga3
+ Revision: 257324
- new release

* Fri Jan 21 2011 ennael <ennael> 1.1.2-1.mga1
+ Revision: 27819
- imported package xkbevd


* Thu Dec 09 2010 Thierry Vignaud <tv@mandriva.org> 1.1.2-1mdv2011.0
+ Revision: 617320
- new release

* Tue Nov 02 2010 Thierry Vignaud <tv@mandriva.org> 1.1.1-1mdv2011.0
+ Revision: 591827
- new release

* Wed Nov 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.1.0-1mdv2010.1
+ Revision: 464711
- New version: 1.1.0
  Patch 1 was integrated upstream in a different way
  Other patches were fully integrated upstream

* Sat Mar 07 2009 Michael Scherer <misc@mandriva.org> 1.0.2-8mdv2009.1
+ Revision: 351559
- add Patch3, fix format string error

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-7mdv2009.0
+ Revision: 226047
- rebuild

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-6mdv2008.1
+ Revision: 166582
- Revert to use upstream tarball, build requires and remove non mandatory local patches.
  Kept for now local patch to allow using xkbevd as a tool to debug xkb.

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-5mdv2008.1
+ Revision: 154671
- Update BuildRequires and resubmit.
  Add patch to allow using xkbevd in a similar way to xev, but printing
  XKB related events, that should be useful for debugging.
  Added mandriva branch git repository to store patch and new default
  configuration file.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.2-4mdv2008.0
+ Revision: 76538
- rebuild for 2008
- add description
- slight spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - do not hardcode lzma extension!!!


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

